Name:           perl-Test-Filename
Version:        0.03
Release:        3%{?dist}
Summary:        Portable filename comparison
License:        ASL 2.0

URL:            http://search.cpan.org/dist/Test-Filename/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/Test-Filename-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  findutils
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(English)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Tester)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This simple module provides some handy functions to convert all those path
separators automatically so filename tests will just DWIM.


%prep
%autosetup -n Test-Filename-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete


%check
make test


%files
%doc Changes README Todo examples
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Test::Filename*.*


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 06 2016 Sandro Mani <manisandro@gmail.com> - 0.03-2
- BR: findutils, perl(File::Find), perl(strict)
- BR: perl(ExtUtils::MakeMaker) >= 6.30
- Add to %%doc: Todo, examples

* Mon Sep 05 2016 Sandro Mani <manisandro@gmail.com> - 0.03-1
- Initial package
